server {
    listen 80 default_server;
    server_name goroshek.ru;
    location / {
        proxy_pass http://{{ instahelper_host_ip }}:{{ instahelper_host_port }}/;
        proxy_set_header Host $host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
    }

}

server {
    listen 80;
    server_name prometheus.goroshek.ru;
    location / {
        proxy_pass http://{{ prometheus_host_ip }}:{{ prometheus_host_port }}/;
        proxy_set_header Host $host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
    }

}

server {
    listen 80;
    server_name grafana.goroshek.ru;
    location / {
        proxy_pass http://{{ grafana_host_ip }}:{{ grafana_host_port }}/;
        proxy_set_header Host $host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
    }
}

server {
    listen 80;
    server_name node.goroshek.ru;
    location / {
        proxy_pass http://{{ node_host_ip }}:{{ node_host_port }}/;
        proxy_set_header Host $host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
    }
}

server {
    listen 80;
    server_name promtail.goroshek.ru;
    location / {
        proxy_pass http://{{ promtail_host_ip }}:{{ promtail_host_port }}/;
        proxy_set_header Host $host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
    }
}

server {
    listen 80;
    server_name test.goroshek.ru;
    location / {
        proxy_pass http://{{ test_host_ip }}:{{ test_host_port }}/;
        proxy_set_header Host $host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
    }
}

